# Get a counterparty by ID

**GET** `/counterparties/{counterparty_id}`

Retrieve a single counterparty by its ID.

### Path Parameters

- `counterparty_id` `string` _(required)_ — Unique identifier for the counterparty.

**Request**

```shell
curl 'https://api.column.com/counterparties/<counterparty_id>' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "account_number": "GB29NWBK60161331926819",
  "account_type": "checking",
  "address": {
    "city": "New Winton",
    "country_code": "GB",
    "line_1": "96 Lairg Road",
    "line_2": "",
    "postal_code": "EH33 5ZN",
    "state": ""
  },
  "created_at": "2023-07-07T22:31:30.859307801Z",
  "description": "international_cpty",
  "email": "john.doe@gmail.com",
  "id": "cpty_2SGNjEY3ax4DaX4LgU72navTADL",
  "is_column_account": false,
  "legal_id": "GB1245643234",
  "legal_type": "sole_proprietor",
  "local_account_number": "876545678",
  "local_bank_code": "GB123456",
  "local_bank_country_code": "",
  "local_bank_name": "",
  "name": "John Doe",
  "phone": "650-123-4567",
  "routing_number": "NWBKGB2L",
  "routing_number_type": "bic",
  "updated_at": "2023-07-07T22:31:30.859307801Z",
  "wire": {
    "beneficiary_address": {
      "city": "New Winton",
      "country_code": "GB",
      "line_1": "96 Lairg Road",
      "line_2": "",
      "postal_code": "EH33 5ZN",
      "state": ""
    },
    "beneficiary_email": "john.doe@gmail.com",
    "beneficiary_legal_id": "GB1245643234",
    "beneficiary_name": "John Doe",
    "beneficiary_phone": "650-123-4567",
    "beneficiary_type": "sole_proprietor",
    "local_account_number": "876545678",
    "local_bank_code": "GB123456"
  },
  "wire_drawdown_allowed": false
}
```
